Name: qmail
Version: 1.03
Release: 6
Group: Utilities/System
URL: http://www.qmail.org/
Copyright: Check with djb@koobera.math.uic.edu
Source0: ftp://koobera.math.uic.edu/pub/software/qmail-1.03.tar.gz
Source1: ftp://koobera.math.uic.edu/pub/software/dot-forward-0.71.tar.gz
Source2: ftp://koobera.math.uic.edu/pub/software/fastforward-0.51.tar.gz
Source3: ftp://koobera.math.uic.edu/pub/software/rblsmtpd-0.70.tar.gz
Source4: qmail.spec,v
Source5: qmail-1.03-linux.init
Source6: qmail-1.03-solaris.init
Source7: qmail-linux.sh
Source8: qmail-linux.csh
Source9: qmail-aliases
Source10: qmail-default
Source11: qmail-msglog
Source12: qmail-default-delivery
Patch0: qmail-1.03.install.patch
Patch1: qmail-1.03.msglog.patch
Patch2: qmail-1.03.redhat.patch
Patch3: qmail-1.03.solaris.patch
Patch4: qmail-1.03.ids.patch
Patch5: qmail-1.03.rbl.conf.patch
Summary: qmail Mail Transport Agent
Buildroot: /tmp/qmail
Provides: MTA smtpdaemon qmailmta qmail-server
%ifos Linux
Requires: shadow-utils
%endif
Conflicts: sendmail qmail-client
Packager: david@summersoft.fay.ar.us
%description
qmail is a small, fast, secure replacement for the SENDMAIL package, which is
the program that actually receives, routes, and delivers electronic mail.

The dot-forward and fastforward packages have been added to this distribution
for (not 100%) SENDMAIL compatability.

The rblsmtpd package has been added as an optional way to fight SPAM.

*** Note: Be sure and read the documentation as there are some small but very
significant differences between SENDMAIL and QMAIL and the programs that
interact with them.

A sub-package, qmail-msglog, adds (configurable) message logging.  This has been
added as a sub-package since this necessarily slows things down a little bit and
the author feels it necessary to distinguish the added capability as an add-on
package.

An alternative package (smaller, easier to configure) is the qmail-client
package which will ONLY work on a LAN connected to the qmail mail server via
the QMQP protocol.

%package msglog
Requires: qmail
Summary: qmail Mail Transport Agent with Message Logging
Group: Utilities/System
%description msglog
qmail-msglog adds a (customizable) script that runs on each and every message
that goes through the mail system.  One usage example is to record Message IDs
in the log file.

%package client
Group: Utilities/System
Summary: qmail Mail Transport Agent
Provides: MTA smtpdaemon qmailmta
%description client
qmail-client is a small, fast, secure replacement for the SENDMAIL package,
which is the program that actually receives, routes, and delivers electronic
mail.

*** Note: This package is for a client only and REQUIRES the main qmail server
on a connected LAN.

*** Note: Be sure and read the documentation as there are some small but very
significant differences between SENDMAIL and QMAIL and the programs that
interact with them.

%changelog

* Wed Aug 26 1998 David W. Summers <david@summersoft.fay.ar.us>

Release 6:
- Changed rblsmtpd to optionally print logging information so by default it
won't print out to the SMTP socket when used with INETD.

* Mon Aug 24 1998 David W. Summers <david@summersoft.fay.ar.us>

Release 5:
- Changed to rblsmtpd-0.70 package.

* Fri Aug 14 1998 David W. Summers <david@summersoft.fay.ar.us>

Release 4:
- Added rblsmtpd-0.50 package.
- Fixed dot-forward and fast forward packages not to complain while compiling on
  Solaris.
- Added documentation that qmail install didn't get.

* Wed Aug 05 1998 David W. Summers <david@summersoft.fay.ar.us>

Release 3:
- Added dot-forward-0.71 package.
- Added fastforward-0.51 package.

* Fri Jun 19 1998 David W. Summers <david@summersoft.fay.ar.us>

Release 2:
- Now creates backups of /etc/inetd.conf and /etc/services files.
- Fixed problem with wiping out /etc/services caused by misplaced parenthesis.

* Mon Jun 15 1998 David W. Summers <david@summersoft.fay.ar.us>

Release 1:
- conf-patrn flip-flopped from 1.02 to 1.03, hence qmail-1.03.solaris.patch.
- Started with qmail-1.03 sources and qmail-1.02-9.spec file.

#
# MACROS
#
# Find users and groups and brand files with uids and gids.
# Set permissions, owners and groups
%define brand cd /var/qmail/bin; ./brand -f install -f instcheck -f qmail-lspawn  -f qmail-queue -f qmail-rspawn -f qmail-showctl -f qmail-start -u myauto_uida alias -u myauto_uidd qmaild -u myauto_uidl qmaill -u myauto_uido root -u myauto_uidp qmailp -u myauto_uidq qmailq -u myauto_uidr qmailr -u myauto_uids qmails -g myauto_gidq qmail -g myauto_gidn nofiles; /var/qmail/bin/install -s
#
# Error message if users or groups already exist
%define user_group_error (echo "Error $? : Required user or group already exists, please check /etc/passwd, /etc/group, and /etc/shadow files."; exit 1)

%prep
# QMAIL 1.03 Package
%setup
# DOT FORWARD Package
%setup -D -T -a 1
# FAST FORWARD Package
%setup -D -T -a 2
# RBLSMTPD Package
%setup -D -T -a 3

# Fix install
%patch0 -p1

%ifos Linux
# RedHat patch
%patch2 -p1
%else
# Solaris patch
%patch3 -p1
%endif

# IDs patch
%patch4 -p1

# RBL conf patch.
%patch5 -p0

%build
make
mv qmail-queue qmail-queue.orig
patch -p1 < $RPM_SOURCE_DIR/qmail-1.03.msglog.patch
make
mv qmail-queue qmail-queue.msglog
mv qmail-queue.orig qmail-queue
./compile -g brand.c
./load brand -g
make man

# DOT FORWARD
(cd dot-forward-0.71
make)

# FAST FORWARD
(cd fastforward-0.51
make)

# RBLSMTPD
(cd rblsmtpd-0.70
make)

%install
%ifos Linux
extra=rc.d
%endif
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/qmail/alias
mkdir -p $RPM_BUILD_ROOT/etc/qmail/control
mkdir -p $RPM_BUILD_ROOT/etc/qmail/users
mkdir -p $RPM_BUILD_ROOT/usr/bin/qmail
mkdir -p $RPM_BUILD_ROOT/usr/doc/qmail-1.03
mkdir -p $RPM_BUILD_ROOT/usr/lib/qmail/boot
mkdir -p $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/var/qmail
chmod 755 $RPM_BUILD_ROOT/var/qmail
ln -sf ../../etc/qmail/alias $RPM_BUILD_ROOT/var/qmail
ln -sf ../../usr/lib/qmail/boot $RPM_BUILD_ROOT/var/qmail/boot
ln -sf ../../etc/qmail/control $RPM_BUILD_ROOT/var/qmail
ln -sf ../../etc/qmail/users $RPM_BUILD_ROOT/var/qmail
ln -sf ../../usr/doc/qmail-1.03 $RPM_BUILD_ROOT/var/qmail/doc
ln -sf ../../usr/bin/qmail $RPM_BUILD_ROOT/var/qmail/bin
ln -sf ../../usr/man $RPM_BUILD_ROOT/var/qmail/man
# INSTALL IT
./install $RPM_BUILD_ROOT
cp qmail-queue.msglog $RPM_BUILD_ROOT/var/qmail/bin

# Copy documentation that qmail install didn't get.
cp BLURB* README SECURITY THANKS THOUGHTS TODO VERSION $RPM_BUILD_ROOT/var/qmail/doc

# Sendmail compatable fix for user to see mail queue
ln -s qmail/qmail-qread $RPM_BUILD_ROOT/usr/bin/mailq

# Set up post installation programs
cp ./brand ./install ./instcheck ./config ./config-fast ./dnsfq ./dnsip ./dnsptr ./hostname ./ipmeprint $RPM_BUILD_ROOT/var/qmail/bin

# Set up boot procedures
(mkdir -p $RPM_BUILD_ROOT/etc/$extra; cd $RPM_BUILD_ROOT/etc/$extra;
mkdir -p init.d rc0.d rc1.d rc2.d rc3.d rc5.d rc6.d
)

%ifos Linux
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp $RPM_SOURCE_DIR/qmail-linux.sh $RPM_BUILD_ROOT/etc/profile.d/qmail.sh
cp $RPM_SOURCE_DIR/qmail-linux.csh $RPM_BUILD_ROOT/etc/profile.d/qmail.csh
chmod a+x $RPM_BUILD_ROOT/etc/profile.d/qmail*
cp $RPM_SOURCE_DIR/qmail-1.03-linux.init $RPM_BUILD_ROOT/etc/$extra/init.d/qmail
%else
cp $RPM_SOURCE_DIR/qmail-1.03-solaris.init $RPM_BUILD_ROOT/etc/$extra/init.d/qmail
%endif
chmod a+x $RPM_BUILD_ROOT/etc/$extra/init.d/qmail
ln -sf ../init.d/qmail $RPM_BUILD_ROOT/etc/$extra/rc0.d/K30qmail
ln -sf ../init.d/qmail $RPM_BUILD_ROOT/etc/$extra/rc1.d/K30qmail
ln -sf ../init.d/qmail $RPM_BUILD_ROOT/etc/$extra/rc2.d/K60qmail
ln -sf ../init.d/qmail $RPM_BUILD_ROOT/etc/$extra/rc3.d/S80qmail
ln -sf ../init.d/qmail $RPM_BUILD_ROOT/etc/$extra/rc5.d/S80qmail
ln -sf ../init.d/qmail $RPM_BUILD_ROOT/etc/$extra/rc6.d/K30qmail
%ifos Linux
mkdir -p $RPM_BUILD_ROOT/usr/sbin
(cd $RPM_BUILD_ROOT/usr/sbin; ln -sf ../../var/qmail/bin/sendmail)
%else
mkdir -p $RPM_BUILD_ROOT/usr/lib
(cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../../var/qmail/bin/sendmail)
%endif

# Set up mailing aliases
cp $RPM_SOURCE_DIR/qmail-aliases $RPM_BUILD_ROOT/etc/aliases
(cd $RPM_BUILD_ROOT/etc/qmail/alias;
touch .qmail-root;
cp $RPM_SOURCE_DIR/qmail-msglog  .qmail-msglog
cp $RPM_SOURCE_DIR/qmail-default .qmail-default
chmod 644 .qmail*
)

# Set up control files.
(cd $RPM_BUILD_ROOT/etc/qmail/control;
touch defaultdomain locals me plusdomain qmqpservers rcpthosts;
chmod 644 defaultdomain locals me plusdomain qmqpservers rcpthosts;
)

# Set up blank qmail/users
(cd $RPM_BUILD_ROOT/etc/qmail/users;
touch assign include exclude mailnames subusers append
)

# Set up default delivery
cp $RPM_SOURCE_DIR/qmail-default-delivery $RPM_BUILD_ROOT/etc/qmail/dot-qmail

# DOT FORWARD command and doc
cp dot-forward-0.71/dot-forward $RPM_BUILD_ROOT/var/qmail/bin
cp dot-forward-0.71/dot-forward.1 $RPM_BUILD_ROOT/var/qmail/man/man1

# FAST FORWARD commands and docs
cp fastforward-0.51/fastforward $RPM_BUILD_ROOT/var/qmail/bin
cp fastforward-0.51/newaliases $RPM_BUILD_ROOT/var/qmail/bin
cp fastforward-0.51/newinclude $RPM_BUILD_ROOT/var/qmail/bin
cp fastforward-0.51/printforward $RPM_BUILD_ROOT/var/qmail/bin
cp fastforward-0.51/printmaillist $RPM_BUILD_ROOT/var/qmail/bin
cp fastforward-0.51/setforward $RPM_BUILD_ROOT/var/qmail/bin
cp fastforward-0.51/setmaillist $RPM_BUILD_ROOT/var/qmail/bin

cp fastforward-0.51/fastforward.1 $RPM_BUILD_ROOT/var/qmail/man/man1
cp fastforward-0.51/newaliases.1 $RPM_BUILD_ROOT/var/qmail/man/man1
cp fastforward-0.51/newinclude.1 $RPM_BUILD_ROOT/var/qmail/man/man1
cp fastforward-0.51/printforward.1 $RPM_BUILD_ROOT/var/qmail/man/man1
cp fastforward-0.51/printmaillist.1 $RPM_BUILD_ROOT/var/qmail/man/man1
cp fastforward-0.51/setforward.1 $RPM_BUILD_ROOT/var/qmail/man/man1
cp fastforward-0.51/setmaillist.1 $RPM_BUILD_ROOT/var/qmail/man/man1

cp fastforward-0.51/ALIASES $RPM_BUILD_ROOT/usr/doc/qmail-1.03

# RBLSMTPD commands and doc
cp rblsmtpd-0.70/antirbl $RPM_BUILD_ROOT/var/qmail/bin
cp rblsmtpd-0.70/antirbl.8 $RPM_BUILD_ROOT/var/qmail/man/man8
cp rblsmtpd-0.70/rblsmtpd $RPM_BUILD_ROOT/var/qmail/bin
cp rblsmtpd-0.70/rblsmtpd.8 $RPM_BUILD_ROOT/var/qmail/man/man8

# Fix for packaging so we don't have wierd things happen when unpacking it.
chown -R root:root $RPM_BUILD_ROOT

# Add rc boot script
echo "#! /bin/sh" > $RPM_BUILD_ROOT/var/qmail/rc
echo "/etc/$extra/init.d/qmail start" >> $RPM_BUILD_ROOT/var/qmail/rc
chmod a+rx $RPM_BUILD_ROOT/var/qmail/rc

# qmail Pre-install script.
%pre
# If package is being installed for the first time
if [ $1 = 1 ]; then

%ifos SunOS
# set differnet INET directory for Solaris
INET=inet

# Stop sendmail and try to clear mail queue.
/etc/init.d/sendmail stop

if [ -f /usr/lib/sendmail ]; then
   /usr/lib/sendmail -q -v > /tmp/qmail.install.$$.log 2>&1
   #echo "Saving /usr/lib/sendmail"
   mv /usr/lib/sendmail /usr/lib/sendmail.pre.qmail
fi

if [ -f /etc/mail/sendmail.cf ]; then
   #echo "Saving /etc/mail/sendmail.cf"
   mv /etc/mail/sendmail.cf /etc/mail/sendmail.cf.pre.qmail
fi
%endif

groupadd nofiles || %{user_group_error};
useradd -g nofiles -d /var/qmail qmaild || %{user_group_error};
useradd -g nofiles -d /var/qmail qmaill || %{user_group_error};
useradd -g nofiles -d /var/qmail qmailp || %{user_group_error};
useradd -g nofiles -d /var/qmail/alias alias || %{user_group_error};
groupadd qmail || %{user_group_error};
useradd -g qmail -d /var/qmail qmailq || %{user_group_error};
useradd -g qmail -d /var/qmail qmailr || %{user_group_error};
useradd -g qmail -d /var/qmail qmails || %{user_group_error};

%ifos Linux
# Remove files put there by useradd.
rm -rf /var/qmail/.[a-zA-Z]*

chmod a+r /var/qmail
chown alias /var/qmail
# Because it is a symbolic link.
rm -rf /var/qmail/alias
%endif

g=`grep -c "qmail" /etc/$INET/inetd.conf || true`
if [ $g -gt 0 ]; then
   true; # echo "qmail already installed in /etc/$INET/inetd.conf, no need to add."
 else
   #echo "Adding qmail to /etc/$INET/inetd.conf and /etc/$INET/services."
   (cat /etc/$INET/services;
   echo "qmqp		628/tcp		qmqp		# QMAIL Queuing Protocol") > /etc/$INET/services.$$ && \
      mv /etc/$INET/services /etc/$INET/services.bak && \
      mv /etc/$INET/services.$$ /etc/$INET/services
   if [ -x /usr/sbin/tcpd ]; then
      (cat /etc/$INET/inetd.conf;
      echo "#smtp	stream  tcp 	nowait  qmaild  /usr/sbin/tcpd /var/qmail/bin/tcp-env /var/qmail/bin/qmail-smtpd";
      echo "#qmqp	stream  tcp 	nowait  qmaild  /usr/sbin/tcpd /var/qmail/bin/tcp-env /var/qmail/bin/qmail-qmqpd") > /etc/$INET/inetd.conf.$$ && \
      mv /etc/$INET/inetd.conf /etc/$INET/inetd.conf.bak && \
      mv /etc/$INET/inetd.conf.$$ /etc/$INET/inetd.conf
    else
      (cat /etc/$INET/inetd.conf;
      echo "#smtp	stream  tcp 	nowait  qmaild  /var/qmail/bin/tcp-env tcp-env /var/qmail/bin/qmail-smtpd";
      echo "#qmqp	stream  tcp 	nowait  qmaild  /var/qmail/bin/tcp-env tcp-env /var/qmail/bin/qmail-qmqpd") > /etc/$INET/inetd.conf.$$ && \
         mv /etc/$INET/inetd.conf /etc/$INET/inetd.conf.bak && \
         mv /etc/$INET/inetd.conf.$$ /etc/$INET/inetd.conf
   fi
fi

# End Package installed for first time.
fi

# qmail Post-install script
%post
%{brand}

# Set file permissions.
chown alias:qmail /etc/qmail/alias
# Set for user access.
chmod u+s /var/qmail/bin/qmail-qread

# Run configuration script.
./config >> /tmp/qmail.install.$$.log 2>&1

# Set up aliases
/var/qmail/bin/newaliases

# qmail Pre-uninstall script.
%preun
%ifos Linux
extra=rc.d
%else
# Set different INET directory for Solaris.
INET=inet
%endif
if [ -f /etc/$extra/init.d/qmail ]; then
        /etc/$extra/init.d/qmail stop
fi

# If package is being erased for the last time.
if [ $1 = 0 ]; then
    #echo "Removing qmail from /etc/$INET/inetd.conf"
    sed -e '/qmail/d' /etc/$INET/inetd.conf > /etc/$INET/inetd.conf.$$ && \
       mv /etc/$INET/inetd.conf /etc/$INET/inetd.conf.bak && \
       mv /etc/$INET/inetd.conf.$$ /etc/$INET/inetd.conf
    sed -e '/qmqp/d' /etc/$INET/services > /etc/$INET/services.$$ && \
       mv /etc/$INET/services /etc/$INET/services.bak && \
       mv /etc/$INET/services.$$ /etc/$INET/services
    # Need to kill -HUP inetd

    # Delete qmail users
    userdel alias    || true;
    userdel qmaild   || true;
    userdel qmailq   || true;
    userdel qmailr   || true;
    userdel qmails   || true;
    userdel qmaill   || true;
    userdel qmailp   || true;

    # Delete qmail groups
    groupdel qmail   || true;
    groupdel nofiles || true;

fi

# qmail Post-uninstall script.
%postun
%ifos SunOS
# If package is being un-installed for last time.
if [ $1 = 0 ]; then
if [ -f /usr/lib/sendmail.pre.qmail ]; then
   #echo "Restore /usr/lib/sendmail"
   mv /usr/lib/sendmail.pre.qmail /usr/lib/sendmail
fi

if [ -f /etc/mail/sendmail.cf.pre.qmail ]; then
   #echo "Restore /etc/mail/sendmail.cf"
   mv /etc/mail/sendmail.cf.pre.qmail /etc/mail/sendmail.cf
fi
# End if package is being un-installed for last time.
fi
%endif

# qmail-msglog Pre-install script.
%pre msglog
%ifos Linux
extra=rc.d
%endif
/etc/$extra/init.d/qmail stop

# qmail-msglog Post-install script.
%post msglog
cd /var/qmail/bin
mv qmail-queue qmail-queue.pre.msglog
cp qmail-queue.msglog qmail-queue
%{brand}

# qmail-msglog Pre-uninstall script.
%preun msglog
if [ -f /usr/bin/qmail/qmail-queue.pre.msglog ]; then
   cd /usr/bin/qmail
   mv qmail-queue.pre.msglog qmail-queue
fi

# qmail-client Pre-install script.
%pre client
%ifos SunOS
# If package is being installed for the first time
if [ $1 = 1 ]; then
# Stop sendmail and try to clear mail queue.
/etc/init.d/sendmail stop

if [ -f /usr/lib/sendmail ]; then
   /usr/lib/sendmail -q -v > /tmp/qmail.install.$$.log 2>&1
   #echo "Saving /usr/lib/sendmail"
   mv /usr/lib/sendmail /usr/lib/sendmail.pre.qmail
fi

if [ -f /etc/mail/sendmail.cf ]; then
   #echo "Saving /etc/mail/sendmail.cf"
   mv /etc/mail/sendmail.cf /etc/mail/sendmail.cf.pre.qmail
fi
# End Package installed for first time.
fi
%endif

# qmail-client Post-install script.
%post client
# Run configuration script.
cd /var/qmail/bin
# Set up for QMAIL CLIENT
rm qmail-queue
ln -sf qmail-qmqpc qmail-queue
# Configure client control files.
./config >> /tmp/qmail.install.$$.log 2>&1
# Remove unneeded control files generated by config
rm /etc/qmail/control/locals
rm /etc/qmail/control/rcpthosts

# qmail-client Post-uninstall script.
%postun client
%ifos SunOS
# If package is being un-installed for last time.
if [ $1 = 0 ]; then
if [ -f /usr/lib/sendmail.pre.qmail ]; then
   #echo "Restore /usr/lib/sendmail"
   mv /usr/lib/sendmail.pre.qmail /usr/lib/sendmail
fi

if [ -f /etc/mail/sendmail.cf.pre.qmail ]; then
   #echo "Restore /etc/mail/sendmail.cf"
   mv /etc/mail/sendmail.cf.pre.qmail /etc/mail/sendmail.cf
fi
# End if package is being un-installed for last time.
fi
%endif

# Clean up after compiling and installing.
%clean
rm -rf $RPM_BUILD_ROOT

# qmail package file list.
%files
%config /etc/aliases
%config /etc/qmail/alias/.qmail-root
%config /etc/qmail/alias/.qmail-default
%config /etc/qmail/dot-qmail
%config /etc/qmail/control/defaultdomain
%config /etc/qmail/control/locals
%config /etc/qmail/control/me
%config /etc/qmail/control/plusdomain
%config /etc/qmail/control/rcpthosts
%config /etc/qmail/users
%ifos Linux
%config /etc/profile.d/*
%endif
%docdir /usr/doc/qmail-1.03
%docdir /usr/man
%ifos Linux
/etc/rc.d/init.d/qmail
/etc/rc.d/rc0.d/K30qmail
/etc/rc.d/rc1.d/K30qmail
/etc/rc.d/rc2.d/K60qmail
/etc/rc.d/rc3.d/S80qmail
/etc/rc.d/rc5.d/S80qmail
/etc/rc.d/rc6.d/K30qmail
%else
/etc/init.d/qmail
/etc/rc0.d/K30qmail
/etc/rc1.d/K30qmail
/etc/rc2.d/K60qmail
/etc/rc3.d/S80qmail
/etc/rc5.d/S80qmail
/etc/rc6.d/K30qmail
%endif
/usr/bin/mailq
/usr/bin/qmail/brand
/usr/bin/qmail/bouncesaying
/usr/bin/qmail/condredirect
/usr/bin/qmail/config
/usr/bin/qmail/config-fast
/usr/bin/qmail/datemail
/usr/bin/qmail/dnsfq
/usr/bin/qmail/dnsip
/usr/bin/qmail/dnsptr
/usr/bin/qmail/dot-forward
/usr/bin/qmail/elq
/usr/bin/qmail/except
/usr/bin/qmail/forward
/usr/bin/qmail/hostname
/usr/bin/qmail/install
/usr/bin/qmail/instcheck
/usr/bin/qmail/ipmeprint
/usr/bin/qmail/maildir2mbox
/usr/bin/qmail/maildirmake
/usr/bin/qmail/maildirwatch
/usr/bin/qmail/mailsubj
/usr/bin/qmail/pinq
/usr/bin/qmail/predate
/usr/bin/qmail/preline
/usr/bin/qmail/qail
/usr/bin/qmail/qbiff
/usr/bin/qmail/qmail-clean
/usr/bin/qmail/qmail-getpw
/usr/bin/qmail/qmail-inject
/usr/bin/qmail/qmail-local
/usr/bin/qmail/qmail-lspawn
/usr/bin/qmail/qmail-newmrh
/usr/bin/qmail/qmail-newu
/usr/bin/qmail/qmail-pop3d
/usr/bin/qmail/qmail-popup
/usr/bin/qmail/qmail-pw2u
/usr/bin/qmail/qmail-qmqpc
/usr/bin/qmail/qmail-qmqpd
/usr/bin/qmail/qmail-qmtpd
/usr/bin/qmail/qmail-qread
/usr/bin/qmail/qmail-qstat
/usr/bin/qmail/qmail-queue
/usr/bin/qmail/qmail-remote
/usr/bin/qmail/qmail-rspawn
/usr/bin/qmail/qmail-send
/usr/bin/qmail/qmail-showctl
/usr/bin/qmail/qmail-smtpd
/usr/bin/qmail/qmail-start
/usr/bin/qmail/qmail-tcpok
/usr/bin/qmail/qmail-tcpto
/usr/bin/qmail/qreceipt
/usr/bin/qmail/qsmhook
/usr/bin/qmail/sendmail
/usr/bin/qmail/splogger
/usr/bin/qmail/tcp-env
/usr/bin/qmail/fastforward
/usr/bin/qmail/newaliases
/usr/bin/qmail/newinclude
/usr/bin/qmail/printforward
/usr/bin/qmail/printmaillist
/usr/bin/qmail/setforward
/usr/bin/qmail/setmaillist
/usr/bin/qmail/antirbl
/usr/bin/qmail/rblsmtpd
%dir /usr/bin/qmail
%ifos Linux
/usr/sbin/sendmail
%else
/usr/lib/sendmail
%endif
/usr/doc/qmail-1.03
/usr/man/man*/*
/usr/lib/qmail/*
/var/qmail

# qmail-msglog package file list.
%files msglog
%config /etc/qmail/alias/.qmail-msglog
/usr/bin/qmail/qmail-queue.msglog

# qmail-client package file list.
%files client
%config /etc/qmail/control
%ifos Linux
%config /etc/profile.d/*
%endif
%docdir /usr/doc/qmail-1.03
%docdir /usr/man
%ifos Linux
%endif
/usr/bin/qmail/config
/usr/bin/qmail/config-fast
/usr/bin/qmail/datemail
/usr/bin/qmail/dnsfq
/usr/bin/qmail/dnsip
/usr/bin/qmail/dnsptr
/usr/bin/qmail/elq
/usr/bin/qmail/hostname
/usr/bin/qmail/ipmeprint
/usr/bin/qmail/pinq
/usr/bin/qmail/predate
/usr/bin/qmail/qmail-inject
/usr/bin/qmail/qmail-qmqpc
/usr/bin/qmail/qmail-queue
/usr/bin/qmail/qmail-showctl
/usr/bin/qmail/sendmail
%dir /usr/bin/qmail
%ifos Linux
/usr/sbin/sendmail
%else
/usr/lib/sendmail
%endif
/usr/doc/qmail-1.03
/usr/man/man*/*
/var/qmail/bin
/var/qmail/control
/var/qmail/doc
/var/qmail/man
%dir /var/qmail
